package com.bocloud.ims.interfaces.resource.azure.slb;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.slb.FrontEnd;

public interface FrontEndService {

    BocloudResult<GridBean<FrontEnd>> list(Pager pager, RequestContext context);

    BocloudResult<FrontEnd> detail(Long id, RequestContext context);

    BocloudResult<Void> create(FrontEnd entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

}
